#include<iostream>
#include <vectors.hpp>
#include<magnetic_field.hpp>

int main()
{
  Vector A(1.0, 2.0, 3.0);
  Vector B(2.0, 3.0, 4.0);
  std::cout << A.GetVx() << '\n';
  std::cout << A.GetVy() << '\n';
  std::cout << A.GetVz() << '\n';
  Vector C;
  std::cout << C.GetVx() << '\n';
  std::cout << C.GetVy() << '\n';
  std::cout << C.GetVz() << '\n';
  C = B*(-3.0);
  C = A / 2.0;
  std::cout << C.GetVx() << '\n';
  std::cout << C.GetVy() << '\n';
  std::cout << C.GetVz() << '\n';
  std::cout << "A*B = " << A*B << '\n';
  C = VectorProduct(A,B);
  std::cout << C.GetVx() << '\n';
  std::cout << C.GetVy() << '\n';
  std::cout << C.GetVz() << '\n';
  Vector X(1.0, 1.0, 1.0);
  B = MagneticField(X);
  std::cout << B.GetVx() << '\n';
  std::cout << B.GetVy() << '\n';
  std::cout << B.GetVz() << '\n';
  return 0;
}
